using System.Data;
using System.ServiceModel;

namespace BLWWSCore.SOAP
{

    [ServiceContract()]
    public interface Isyncstatus
    {
        [OperationContract()]
        public DataSet GetRoomRecord(string code, string roomNumber, string tableName);


        [OperationContract()]
        public string GetRoomCustomerByHotelID(int hotelID, string roomNumber, ref string phoneNumber);

        [OperationContract()]
        public DataSet GetRoomCustomer(long checkInID);

        [OperationContract()]
        public DataSet GetHotelCode();

        [OperationContract()]
        public DataTable GetHotelByCode(string code);

        [OperationContract()]
        public DataSet GetCheckInOrOutRecord(string code);

        [OperationContract()]
        public DataSet GetDevices(string code);


        [OperationContract()]
        public int SaveDevice(long id, string hotelCode, string roomNumber);

        [OperationContract()]
        public int UpdateCheckInOrOutRecord(string code, Int64 id, int flag);

        [OperationContract()]
        public bool ValidateNumber(int hotelID, string roomNumber, string validateCode);

        [OperationContract()]
        public bool ValidateNumberByCode(string code, string roomNumber, string validateCode);

        [OperationContract()]
        public DataTable GetCodeAndRoomNumberByPhone(string phone);

        [OperationContract()]
        public bool UploadPhoto(int idType, string idCard, string name, int sex, string birthday, byte[] photo);

        [OperationContract()]
        public bool FaceMatch(byte[] photo, ref int idType, ref string idCard, ref string name, ref int sex, ref byte[] matchPhoto);

    }
}
